LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-04-2009, 10:44 AM   #1
vivasjimmy
LQ Newbie
 
Registered: Aug 2009
Posts: 5

Rep: Reputation: 0
apt-get error reading packing list


Hi, everyone

I am getting crazy because I need to install several programs quickly and it seems that apt-get is a good option to do this.

My system is:
  • DELL D820
  • SLES 11
  • GNOME

I am doing an update -> apt-get update
I am getting this error after ends updating:

Reading Package Lists... Error!
E: Dynamic MMap ran out of room
E: Error occured while processing kdebase3-SuSE (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/download.opensuse.org_update_10.3_repodata_primary.xml
E: The package lists or status file could not be parsed or opened.

my source list is this:
# A very basic sources.list file.
#
# Fastest repository comes first, with netselect it is possible to determine
# the fastest repository easily.

repomd http://ftp-1.gwdg.de/pub/suse/i386 update/10.3
repomd http://ftp-1.gwdg.de/pub/opensuse/distribution 10.3/repo/oss/suse

# Visit http://software.opensuse.org/download/ to determine which additional
# components are available. Some examples are given below, just uncomment
# the line to enable it.

repomd ftp://ftp-1.gwdg.de/pub/opensuse/repositories home:/rbos/openSUSE_10.3
repomd ftp://ftp-1.gwdg.de/pub/opensuse/repositories KDE:/KDE3/openSUSE_10.3
repomd ftp://ftp-1.gwdg.de/pub/opensuse/repositories KDE:/Backports/openSUSE_10.3
repomd ftp://ftp-1.gwdg.de/pub/opensuse/repositories KDE:/Playground/openSUSE_10.3
repomd ftp://ftp-1.gwdg.de/pub/opensuse/repositories mozilla/openSUSE_10.3
repomd ftp://ftp-1.gwdg.de/pub/opensuse/repositories openSUSE:/Tools/openSUSE_10.3
repomd ftp://ftp.gwdg.de/pub/linux/misc packman/suse/10.3
repomd http://packman.unixheads.com suse/10.3/
repomd http://download.videolan.org pub/vlc/SuSE/10.3/
repomd http://ftp5.gwdg.de/pub/linux/misc suser-jengelh/SUSE-10.3/
repomd http://download.opensuse.org/repositories OpenOffice.org:/STABLE/openSUSE_10.3/
repomd http://download.opensuse.org/repositories OpenOffice.org:/EXTRAS/openSUSE_10.3/
repomd http://download.opensuse.org/repositories home:/rbos/openSUSE_10.3/
repomd http://download.opensuse.org/distribution 10.3/repo/non-oss/suse/
repomd http://download.opensuse.org update/10.3/

# The apt format
# rpm ftp://mirrors.mathematik.uni-bielefe...inux/suse/apt/ @ftp_dir@ base update security rpmkeys
# rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt/ @ftp_dir@ base update security rpmkeys

Perhaps I have things that I dont need.

I will appreciate any help regarding this topic.

Thanks
 
Old 09-04-2009, 10:49 AM   #2
mushroomboy
Member
 
Registered: Jan 2006
Distribution: Debian Testing ALWAYS!!!
Posts: 363

Rep: Reputation: 43
too many various entries. In debian it happens if your using to many different branches in the sources.list what you can do is:

http://www.yak.net/fqa/416.html

keep raising the value until the error stops

OR

You need to prune your sources.list, figure out what repo's you need and put # in front of the ones you don't. Mine (for debian) looks like this:

Code:
# deb cdrom:[Debian GNU/Linux 5.0.2 _Lenny_ - Official amd64 NETINST Binary-1 20090629-10:59]/ lenny main 

# deb cdrom:[Debian GNU/Linux 5.0.2 _Lenny_ - Official amd64 NETINST Binary-1 20090629-10:59]/ lenny main 

# deb http://ftp.us.debian.org/debian/ lenny main non-free contrib  
# deb-src http://ftp.us.debian.org/debian/ lenny main non-free contrib 

# deb http://security.debian.org/ lenny/updates main contrib non-free 
# deb-src http://security.debian.org/ lenny/updates main contrib non-free 

# deb http://volatile.debian.org/debian-volatile/ lenny/volatile main contrib non-free 
# deb-src http://volatile.debian.org/debian-volatile/ lenny/volatile main contrib non-free 

deb http://ftp.us.debian.org/debian/ squeeze main non-free contrib  
deb-src http://ftp.us.debian.org/debian/ squeeze main non-free contrib  

# deb http://ftp.us.debian.org/debian/ experimental main non-free contrib  
# deb-src http://ftp.us.debian.org/debian/ experimental main non-free contrib 

deb http://ftp.us.debian.org/debian/ unstable main non-free contrib  

# deb http://www.dipconsultants.com/debian/ etch main 

#### Kernel
# deb http://kernel-archive.buildserver.net/debian-kernel/ lenny main 
# deb http://kernel-archive.buildserver.net/debian-kernel/ sid main 
# deb http://kernel-archive.buildserver.net/debian-kernel/ trunk main 

### Wine
deb http://www.lamaresh.net/apt/ sid main  

### XMMS
# deb http://www.pvv.ntnu.no/~knuta/xmms/lenny/ ./ 
# deb-src http://www.pvv.ntnu.no/~knuta/xmms/lenny/ ./ 

### nswrapperplugin
# deb http://www.debian-multimedia.org/ squeeze main 
# deb http://www.dipconsultants.com/debian/ etch main
Notice how a lot of them have # in front, because right now I don't need them and if I uncommented everything I'd get the same error as you. Learning to use apt-get and learning to manage a large source list are 2 different things...
 
Old 09-04-2009, 05:05 PM   #3
AlucardZero
Senior Member
 
Registered: May 2006
Location: USA
Distribution: Debian
Posts: 4,824

Rep: Reputation: 615Reputation: 615Reputation: 615Reputation: 615Reputation: 615Reputation: 615
NB this is such a common problem that you could have found a faster answer by doing a little searching yourself instead of waiting for us.
 
Old 09-04-2009, 06:30 PM   #4
alan_ri
Senior Member
 
Registered: Dec 2007
Location: Croatia
Distribution: Debian GNU/Linux
Posts: 1,733
Blog Entries: 5

Rep: Reputation: 127Reputation: 127
Try this;

Code:
apt-get update -o APT::Cache-Limit=25165824
 
Old 09-04-2009, 06:48 PM   #5
mushroomboy
Member
 
Registered: Jan 2006
Distribution: Debian Testing ALWAYS!!!
Posts: 363

Rep: Reputation: 43
Quote:
Originally Posted by alan_ri View Post
Try this;

Code:
apt-get update -o APT::Cache-Limit=25165824
Does that work every time? It's known if you use too many different repo's with apt-get you have that error. He would be better off just editing it permenantly if he wants to continue doing so.
 
Old 09-04-2009, 07:15 PM   #6
alan_ri
Senior Member
 
Registered: Dec 2007
Location: Croatia
Distribution: Debian GNU/Linux
Posts: 1,733
Blog Entries: 5

Rep: Reputation: 127Reputation: 127
It all depends on what OP wants to do. He have lots of advices and suggestions in this thread to think about.

Last edited by alan_ri; 09-04-2009 at 07:18 PM.
 
Old 09-06-2009, 10:17 PM   #7
vivasjimmy
LQ Newbie
 
Registered: Aug 2009
Posts: 5

Original Poster
Rep: Reputation: 0
alan thanks your comment help me, so far I have installed what I needed with out apt-get but I am sure really sure I will need to use it. So far the error is gone I guess is OK now. But I will post if so and rate as fixed.

Thanks
 
  


Reply

Tags
apt-get


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get dpkg error: files list file ... missing final newline PBSchmidt Debian 12 02-07-2017 10:41 PM
"Dynamic MMap ran out of room" error when adding new apt source list hasanito Debian 25 05-27-2013 03:56 AM
apt-get; E: Type 'GPG' is not known on line 20 in source list /etc/apt/sources.list tomorrow Linux - Newbie 9 05-21-2009 08:42 AM
Apt Errors reading pkg list TitaniumTaz Ubuntu 3 08-19-2005 04:42 PM
apt-get update errors since Debian released ( bad /etc/apt/sources.list ?) forgox Debian 10 06-13-2005 12:28 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 03:18 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration